export interface IRightKeyContent {
    /**
     * 获取组件的根 DOM 元素
     */
    getElement(): HTMLElement;
    
    /**
     * 销毁组件
     */
    destroy(): void;
}

export interface RightKeyOptions {
    /** 自定义 CSS 类名 */
    className?: string;
    /** 层级 (z-index) */
    zIndex?: number;
    /** 监听事件的容器 */
    container?: HTMLElement;
    /** 有效右键点击时的回调 */
    onContext?: (e: MouseEvent) => void;
}
